net.sf.jasperreports.engine.analytics.dataset

## Class MultiAxisDataService.ServiceContext

- java.lang.Object
- - net.sf.jasperreports.engine.analytics.dataset.MultiAxisDataService.ServiceContext

- All Implemented Interfaces:
    BucketingServiceContext
  Enclosing class:
    MultiAxisDataService

      protected static class MultiAxisDataService.ServiceContext
      extends java.lang.Object
      implements BucketingServiceContext

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MultiAxisDataService.ServiceContext(JasperReportsContext jasperReportsContext, JRFillExpressionEvaluator expressionEvaluator)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `evaluateMeasuresExpression(JRExpression expression, MeasureDefinition.MeasureValue[] measureValues)`
    `JRFillExpressionEvaluator` | `getExpressionEvaluator()`
    `JasperReportsContext` | `getJasperReportsContext()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MultiAxisDataService.ServiceContext

          public MultiAxisDataService.ServiceContext(JasperReportsContext jasperReportsContext,
                                             JRFillExpressionEvaluator expressionEvaluator)

  - ### Method Detail

    - #### getJasperReportsContext

          public JasperReportsContext getJasperReportsContext()

      Specified by:
        `getJasperReportsContext` in interface `BucketingServiceContext`

    - #### getExpressionEvaluator

          public JRFillExpressionEvaluator getExpressionEvaluator()

      Specified by:
        `getExpressionEvaluator` in interface `BucketingServiceContext`

    - #### evaluateMeasuresExpression

          public java.lang.Object evaluateMeasuresExpression(JRExpression expression,
                                                    MeasureDefinition.MeasureValue[] measureValues)
                                                      throws JRException

      Specified by:
        `evaluateMeasuresExpression` in interface `BucketingServiceContext`
      Throws:
        `JRException`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com